Subject: [anonsec] request for posts on separate WG vs. merged

From: Black_David at emc.com ([email-masked])
Date: Mon Nov 29 07:20:14 2004

I think BTNS should be stand alone and not part of PKI4IPSEC
for essentially the reasons Julien gives below.  Among the
reasons not to be in PKI4IPSEC is that if BTNS uses self-signed
certs, they are unlikely to conform to a PKI4IPSEC certificate
profile for IPsec, and should not be forced to.

One proviso (as I've said earlier) is that I think the basic
channel binding work should be done in BTNS:
	- Format and computation of the bits/bytes for binding
	- Principles for binding in higher-layer protocols
	- Warnings about things that SHOULD NOT or MUST NOT
		be done in higher-layer channel binding
OTOH, channel binding for specific upper layer protocols belongs
in the WGs for those protocols (e.g., some combination of KITTEN
and NFSv4 will need to work this out for NFSv4).

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Julien Laganier
> Sent: Thursday, November 25, 2004 4:50 AM
> To: [email-masked]
> Cc: Joe Touch
> Subject: Re: [anonsec] request for posts on separate WG vs. merged
> 
> On Friday 19 November 2004 19:59, Joe Touch wrote:
> > <BOF-HAT-ON>
> > Hi, all,
> >
> > I'd like to solicit input with brief justification on the following
> > questions, so that this discussion can be motivated from the
> > bottom-up if possible. Please answer BOTH questions.
> >
> >  1) should BTNS be stand alone or part of an existing WG?
> 
> FWIW,I think BTNS should be its own WG. The main reason for that is 
> that I can't find a sufficient overlapping between BTNS and any of 
> the existing WGs.
> 
> >  2) if (1) is 'part of existing', should BTNS be part of
> >     PKI4IPsec?
> 
> We are considering PKI-less solutions so I (still) don't see 
> the point 
> in having BTNS work as a part of PKI4IPSEC: I think that we not only 
> need PKI4IPSEC to be rechartered, but also to be _renamed_, because 
> the current name is far too restrictive and misleading if the WG 
> includes BTNS work items...
> 
> Beside that, I don't buy the argument about reducing administrative 
> overhead and meeting scheduling issues... it can be applied to a lot 
> of other BoF/WGs, so perhaps we can just move back the whole IETF 
> crowd into the NETWORK WORKING GROUP :-p
> 
> --julien
> _______________________________________________
>